読者です 読者をやめる 読者になる 読者になる

minato128 blog

minato128の公開メモ帳です。

Glimpse が IE8 だとうまく動かない問題

Glimpseは素晴らしいライブラリなんだけど、IE8モードにするとうまく動かない。 具体的には、IE8がindexOfをサポートしてないからGlimpse内でエラーになる。

JavaScript 実行時エラー: オブジェクトは 'indexOf' プロパティまたはメソッドをサポートしていません。

公式のIssueでは、GlimpseでindexOfをpolyfillしちゃうとOnとOffのときで差異が出るからよくないみたいなところで終わっていて、現時点(2014-08-27)の最新版でもデフォルトでは動かない。

Providing support for legacy browser (IE7-8) in client · Issue #399 · Glimpse/Glimpse · GitHub

とりあえず自分のアプリの中でindexOf作れば普通に動くので、IE8対応を強いられている方も使っていきましょう!